petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecCUSPPlaceArray

Allows one to replace the array in a vector with a CUSPARRAY provided by the user. This is useful to avoid copying a CUSPARRAY into a vector.

### Synopsis

    PetscErrorCode VecCUSPPlaceArray(Vec vin,CUSPARRAY *a)

Not Collective

### Input Parameters

| vec | - the vector
| array | - the CUSPARRAY

### Notes

You can return to the original CUSPARRAY with a call to VecCUSPResetArray() It is not possible to use VecCUSPPlaceArray() and VecPlaceArray() at the same time on the same vector.

### See Also

VecPlaceArray(), VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecResetArray(), VecCUSPResetArray(), VecCUSPReplaceArray()

Level:developer
Location:src/vec/vec/impls/seq/seqcusp/veccusp2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages